org.tmatesoft.svn.core.io

## Interface ISVNLocationEntryHandler

-     public interface ISVNLocationEntryHandler

  This public interface should be implemented for using within `SVNRepository.getLocations(String, long, long[], ISVNLocationEntryHandler)`. The mentioned method retrieves file locations for interested revisions and uses an implementation of `ISVNLocationEntryHandler` to handle them.
  Since:
    1.2
  Version:
    1.3
  Author:
    TMate Software Ltd.
  See Also:
    `SVNLocationEntry`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleLocationEntry(SVNLocationEntry locationEntry)` To be implemented for location entries handling.

- - ### Method Detail

    - #### handleLocationEntry

          void handleLocationEntry(SVNLocationEntry locationEntry)
                            throws SVNException

      To be implemented for location entries handling.
      Parameters:
        `locationEntry` - a location entry
      Throws:
        `SVNException`
      See Also:
        `SVNLocationEntry`